description: GMSH output of flow and transport to refined mesh 
mesh:
  mesh_file: ../00_mesh/rectangle_0.2x1_frac.msh
  regions:
    - !Union
      name: .bottom
      regions:
        - .fracture_bottom
        - .rock_bottom
    - !Union
      name: .top
      regions:
        - .fracture_top
        - .rock_top
flow_equation: !Flow_Darcy_MH
  nonlinear_solver:
    linear_solver: !Petsc
      a_tol: 1.0e-07
  input_fields:
    - region: rock
      conductivity: !FieldFormula
        value: 0.001*(y + 1.0)
      cross_section: 1
    - region: fracture
      conductivity: 1
      cross_section: 0.01
    - region: .bottom
      bc_type: dirichlet
      bc_pressure: 1
    - region: .top
      bc_type: dirichlet
      bc_pressure: 0
  output:
    fields:
      - pressure_p0
      - velocity_p0
  output_stream:
    file: flow.msh
    format: !gmsh
    output_mesh:
      max_level: 3
      refine_by_error: false  # uniform refinement
solute_equation: !Coupling_OperatorSplitting
  balance:
    cumulative: true
  substances: A
  transport: !Solute_Advection_FV
    input_fields:
      - region: .bottom
        bc_conc: 1
      - region: rock
        porosity: 0.01
      - region: fracture
        porosity: 1
    output:
      fields:
        - conc
  output_stream:
    file: ./transport.msh
    format: !gmsh
    times:
      - step: 0.1
    output_mesh:
      max_level: 2
      refine_by_error: false  # uniform refinement
  time:
    end_time: 1
